<!-- QANav Report Tracker Copyright 2004 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page import="java.util.ArrayList" %>

<%@ page import="com.qanavigation.Basics.*" %>
<%@ page import="com.qanavigation.QNservices.*" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<fmt:setBundle basename="QNLabels"/>

<%

	int i, x;

	String aUser;
	String aGroup;
	String val;
	String tableName;
	String appx;
	String[] colNames;

	RsltTable rTbl;
	
	int licNum = 5;

	Rslt res = new Rslt( true );
	QNDBacc2 dBAcc = new QNDBacc2();

%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
 <head>
   <title>QANav Users Administration</title>

	<meta name="DC.Title" content="Users Administration">
	<meta name="DC.Creator" content="Ronald D. Grindle">
	<meta name="DC.Publisher" content="QA Navigation">
	<meta name="DC.Date" content="2004-08-12">
	<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
	<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">

	<link rel=stylesheet type="text/css" href="../incl/DialStyle.css" >

<script type="text/javascript" src="../incl/dhtml.js"></script>
<script type="text/javascript" src="../incl/DialTools.js"></script>

<script type="text/javascript">
<!--

var m_href = self.location.href;

// ----------------------------------------------
// execution window
function execWinDone() {

	hideD( "dialExecWin" );
	//blurFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );
	theFrm.src = "";

	myReload();
}

// ----------------------------------------------
function addUser() {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );	

	pw = document.getElementById( "inPW" );
	pwr = document.getElementById( "inPWrep" );

	if( pw.value != pwr.value ) { 
		
		alert( "Passwords are not identical!" );
	}
	else {

		theForm = document.getElementById( "formAddU" );
		theForm.submit();
	}
}

// ----------------------------------------------
function delUser( uName ) {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );	

	theFrm = document.getElementById( "ifrmExecDial" );
	theFrm.src = "../AdmUser?QNA=DelU&User=" + uName;
}


// ----------------------------------------------
function mngUser( uName ) {

	self.location.href = "MngUser.jsp?User=" + uName;
}

// ----------------------------------------------
function logOff() {

	//self.location.href = "../LogdOff.jsp?logoff=true";
	self.close();
}

// ----------------------------------------------
function Startup() {

	
}
// -->
</script>
</head>

<body onLoad="Startup()">

<%
if( !request.isUserInRole( "sp" ) && !request.isUserInRole( "adm" ) ) {
%>
	<p>You are not authorized to access this utility.</p>
	<!-- p><button Name="Quit" ID="btnQuit" onClick="logOff()">Quit</button></p -->
<%
	  session.invalidate();
}
else {
%>

<!-- required to fix IE Problem with select fields protruding -->
	<iframe id="selHider" src="javascript:'&lt;html&gt;&lt;/html&gt;';" scrolling="no" frameborder="0" style="position:absolute;width:800px;height:400px;top:-1200;left:20;border:none;display:block;z-index:0;filter:Alpha(opacity=0);background:#066660;"></iframe>

	<h2><a name="Top"></a><b>QA Nav Users Administration</b></h2>

	<table width="98%">
		<tr><td>
			<table border="0" align="left">
				<tr>
					<td>
						<button Name="MngGrps" ID="btnMngGrps" onClick="location.href='MngGroups.jsp'">Manage Groups</button>
					</td>
					<td>
						<button Name="MngAppls" ID="btnMngAppls" onClick="location.href='MngAppls.jsp'">Manage Applications</button>
					</td>
				</tr>
			</table>		
		</td></tr>
	</table>

		<!-- p><button Name="Quit" ID="btnQuit" onClick="logOff()">Quit</button></p -->	

		<p>
<%

	if( res.checkRslt( dBAcc ) ) {

		if( res.checkRslt( dBAcc.m_qConf ) ) {

			licNum = dBAcc.m_qConf.getLicNum();
		}

		out.print( "<p>Your license allows " + licNum + " power users." );
		out.print( "<br>You may add more than " + licNum + ", but they will not be supported.</p>" );
%>
		</p>
		
<%@ include file="../jspf/ComnDial.jspf" %>
<!-- p>You are logged in as remote user <b><%= request.getRemoteUser() %></b><p -->
		<form id="formAddU" action="../AdmUser" method="post" target="ifrmExecDial">
			
			<input name="QNA" type="hidden" value="AddU"/>
			<table>

				<tr><td>User</td>
				<td><input ID="inUser" name="User" type="text" size="30"/></td></tr>
				<tr><td>PW</td>
				<td><input ID="inPW" name="PW" type="password" size="30"/></td></tr>
				<tr><td>PW repeat</td>
				<td><input ID="inPWrep" name="PWrep" type="password" size="30"/></td></tr>
				<tr><td>Mail</td>
				<td><input ID="inMail" name="Mail" type="text" size="30"/></td></tr>
				<tr>
					<td>Role</td>
					<td>
						<select name="Role" size="1">
							<option value="ba">BA</option>
							<option value="cl">Client</option>
							<option value="co">Coordinator</option>
							<option value="dev">Developer</option>
							<option value="dpl">Deployer</option>
							<option value="prod">Production</option>
							<!-- option value="lvl1">Support Level1</option>
							<option value="lvl2">Support Level2</option>
							<option value="lvl3">Support Level3</option-->
							<option value="sp">Supervisor</option>
							<option value="sysTst">System Tester</option>
							<option value="tst">Tester</option>
							<option value="adm">QANav Admin</option>
						</select>
					</td>
				</tr>

				<tr>
					<td>Group</td>
					<td>
						<select name="UGroup" size="1">
							<option value=""></option>
<%
		tableName = "UGroups";
		appx = " ORDER BY LOWER( CONVERT( " + QNDefs.c_ColName + " USING latin1 ))";
		colNames = new String[1];
		colNames[0] = QNDefs.c_ColName;

		rTbl = dBAcc.m_DB.select( tableName, colNames, appx );

		if( rTbl.isOK() ) {
		
			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );
				out.println( "<option value=\"" + val + "\">" + val + "</option>" );
			}
		}
%>
						</select>
					</td>
				</tr>

				<tr>
					<td>Product</td>
					<td>
						<select name="Prod" size="1">
							<option value=""></option>
<%
		tableName = "Prods";
		appx = " ORDER BY LOWER( CONVERT( " + QNDefs.c_ColName + " USING latin1 ))";
		colNames = new String[1];
		colNames[0] = QNDefs.c_ColName;

		rTbl = dBAcc.m_DB.select( tableName, colNames, appx );

		if( rTbl.isOK() ) {
		
			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );
				out.println( "<option value=\"" + val + "\">" + val + "</option>" );
			}
		}
%>
						</select>
						
						<input name="Rel" type="hidden" value=""/>						
					</td>
				</tr>
				<tr>
					<td colspan="2"><button Name="btnAddU" ID="btnAddU" onClick="addUser()">Add User</button></td>
				</tr>
					
			
		</table>
	</form>		

		<p><a href="#Top">To Top</a></p>
		
		<p><b>User List</b></p>

		<table name="tbUser" ID="tbUser">
			<tr><td><b>Name</b></td><td><b>Group</b></td><td colspan="2">&nbsp;</td>
<%
		tableName = "Users";
		appx = " ORDER BY LOWER( CONVERT( " + QNDefs.c_ColName + " USING latin1 ))";
		colNames = new String[2];
		colNames[0] = QNDefs.c_ColName;
		colNames[1] = "UGroup";

		rTbl = dBAcc.m_DB.select( tableName, colNames, appx );

		if( res.checkRslt( rTbl ) ) {
		
			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				aUser = rTbl.getCell( 0, i );
				out.println( "<tr><td>" + aUser + "</td>"  );
				
				aGroup = rTbl.getCell( 1, i );
				out.println( "<td>" + aGroup + "</td>"  );
				
				out.println( "<td><button onClick=\"mngUser('" + SFormatter.encodeURL( aUser ) + "')\">Manage User</button></td>" );
				out.println( "<td><button onClick=\"delUser('" + SFormatter.encodeURL( aUser ) + "')\">Delete User</button></td></tr>" );
			}
		}
%>
		</table>
		
		<p><a href="#Top">To Top</a></p>		
<%
	}

	if( res.notOK() ) {

		out.println( "<p>Error, check log.</p>" );
		SrvltReqTools.logErr( this, request, res );
		int ii, xx;
		ArrayList<String> addInfo;

		String ss;
		
		addInfo = res.getRsltAddInfo();

		out.println( "###Error Info ###<br>" );
		
		out.println( "Session ID: '" + request.getSession().getId() + "'<br>" );

//	 add user and application info!						
		/*			
   		out.println( "Path: '" + request.getPathInfo() + "'<br>" );
			out.println( "Path2: '" + request.getContextPath() + "'<br>" );
			out.println( "Path3: '" + request.getPathTranslated() + "'<br>" );
			out.println( "Path4: '" + request.getRequestURI() + "'<br>" );
			out.println( "Path: '" + request.getServletPath() + "'<br>" );
		*/
			
		out.println( "URL: '" + request.getRequestURL() + "'<br>" );
		
		out.println( "RemUser: '" + request.getRemoteUser() + "'<br>" );
		   
		out.println( "Request string: '" + request.getQueryString() + "'<br>" );
		
		out.println( "--- Rslt info:<br>" );
		   
		xx = addInfo.size();
			
		for( ii = 0; ii < xx; ++ii ) {

			ss = (String)addInfo.get( ii );
			ss += "<br>";
			
			out.println(  ss );
		}
		
		out.println( "--- Rslt status: " + RsltStatVal.label[ res.getRsltStatVal() ] + "<br>" ); 

	// */
	}
}

	dBAcc.close();
	
%>

  </body>
</html>
