<!-- QANav Report Tracker Copyright 2004 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page isThreadSafe="false" %>
<%@ page errorPage="/ErrPage.jsp" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>

<%@ page import="java.util.ArrayList" %>

<%@ page import="com.qanavigation.Basics.*" %>
<%@ page import="com.qanavigation.QNservices.*" %>

<%@ page import="RTObj.VFixObj" %>

<fmt:setBundle basename="QNLabels"/>
<%
	
	RsltString rVal;
		
	String title = "";
	
	Rslt res = new Rslt( true );	
	
	QNDBacc2 dBAcc = new QNDBacc2();

	VFixObj vfo = new VFixObj( this, request, dBAcc );
	
	res.checkRslt( vfo );
		
	if( res.checkRslt( vfo.initObj() ) ) {
		
		title = SFormatter.format( vfo.m_resBndl.getString( "lblFix4TRNo" ), vfo.m_ticket );
	}
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@page import="RTtools.QNDocMan;"%>
<html>
	<head>

		<meta name="DC.Title" content="Fix Descripion View Frame">
		<meta name="DC.Creator" content="Ronald D. Grindle">
		<meta name="DC.Publisher" content="QA Navigation">
		<meta name="DC.Date" content="2004-07-31">
		<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
		<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">
		
		<link rel=stylesheet type="text/css" href="QNStyle.css">
		<link href="favicon.ico" rel="shortcut icon">

		<TITLE><%= title %></TITLE>

<script type="text/javascript" src="incl/dhtml.js"></script>
<script type="text/javascript" src="incl/DialTools.js"></script>
<script type="text/javascript" src="incl/PnlTools.js"></script>
<script type="text/javascript" src="incl/FixTools.js"></script>
<script type="text/javascript" src="incl/VFixTools.js"></script>

<script type="text/javascript" src="incl/Tcom.js"></script>

<script type="text/javascript" src="incl/datetimepicker.js"></script>

<script type="text/javascript">
<!--

<% QNRscBundle resBndl = vfo.m_resBndl; %>
<%@ include file="jspf/PnlToolsLbls.jspf" %>

var blblDel = <%= "\"" + vfo.m_resBndl.getString( "blblDel" ) + "\"" %>;

var m_href = self.location.href;

var m_DocType = "Fix";

var m_User = <% out.print( "\"" + request.getRemoteUser() + "\"" ); %>;

var m_UID = <% out.print( "\"" + vfo.m_UID.getString() + "\"" ); %>;

var m_ImHere =true;

window.onresize = rsz;

// ---------------------------
function printDoc() {

	frm = getFrame( "ViewFrame" );

	frm.focus();
	frm.print();
}

// ------------------------------------------
function rsz() {

	h = getWinHight();

	h -= 100;

	theFrame = document.getElementById( "ViewFrame" );

	theFrame.setAttribute("height", h, "false");
}

// ------------------------------------------
function subEdit() {

	showD( "dialFix", 50 );
	setFocus( "butSaveFix" );
}

// ------------------------------------------
function startUp() {

	
	rsz();

	m_ImHere = true;
}

// -->
</script>
</head>

<body bgcolor="silver" class="QANframe" onload="startUp()">

<%
//out.println( "<p>UID " + UID + "</p>" );

	if( res.isOK() ) {
		
		if( vfo.m_docNotFound ) {
%>
					<table border="1" style="margin-top:10px;" width="99%"><tr>
						<td align="center"><%= vfo.m_resBndl.getString( "msgDocNotFnd" ) %></td>
					</tr></table>
<%		
		}
		else {
%>
	<iframe id="ViewFrame" src="<%= vfo.m_qStr %>" width="99%" height="200" application="yes">

		<p>Processing failed. Your browser does not allow frames. Please set up your browser to allow frames.</p>
	</iframe>

	<table id="tbButMenu" border="0" style="margin-top:10px;"><tr>		
<%
			if( vfo.m_statObj.nextEdit() && vfo.m_uRTool.canEditFix( vfo.m_roleIsYours ) ) {
%>
		<td><button class="yellow" id="butEdit" type="button" onClick="subEdit()"><%= vfo.m_resBndl.getString( "blblEdit" ) %></button></td>	
<%		}
			if( vfo.m_statObj.nextSetFixTst() && vfo.m_uRTool.canSetFixTst() ) {
%>
		<td><button class="yellow" type="button" onClick="dialFixTst()" style="width:110pt"><fmt:message key="blblSetFixTst"/></button></td>
<%
			}
			if( false ) { // doesn't work, fix it before reactivating			
			//if( isAdm ) {
%>
		<td><button class="red" type="button" onClick="chgStat()" style="width:110pt"><fmt:message key="blblChgStat"/></button></td>
<%
			}
%>
		<td><button class="yellow" type="button" onClick="printDoc()" style="width:110pt"><fmt:message key="blblPrint"/></button></td>
	</tr></table>
<%
			}
	}

	// Fix Edit Dialog ----------------------
	if( vfo.m_statObj.nextEdit() ) {
%>

	<%-- TCom Branch ########## --%>
	<div id="dialFix" style="visibility:hidden; position:absolute; top:-500; left:50;">
	
			<table border="1" class="dial">
	
			<tr><td class="dial">
				<form id="formFix" action="UpdQNDoc" method="post" target="ifrmExecDial">
				<!-- form id="formFix" action="Test.jsp" method="get" target="ifrmExecDial" -->
	
				<input name="QNA" type="hidden" id="idFormFixQNA" value="UpdFix">
				<input name="UID" type="hidden" id="idFixUIDDoc" value="<%= vfo.m_UID %>">
				<input name="DocType" type="hidden" id="idFixDType">
				<input name="Stat" type="hidden" id="idFixStat">
				<input name="FixTitle" type="hidden" id="idFixTitle" value="<%= vfo.m_title %>">
	
				<table class="dial">
					<tr>
			<!-- User               --------------------- -->
						<td valign="middle" align="left" class="dial"  width="1px">
							<p><%= vfo.m_resBndl.getString( "lblAuthor" ) %></p>
						</td>
						<td valign="middle" align="left" class="dial" width="1px">
							<input class="ro" name="Author" id="FixAuthor" type="text" size="20" maxlength="20" value="<%= SFormatter.encode4InpHTML( vfo.getFixAuthor() ) %>" readonly>
						</td>
					</tr>
				</table>
				<table class="dial">
					<tr>
						<td valign="middle" align="left" class="dial" >
							<p><%= vfo.m_resBndl.getString( "lblDesc" ) %></p>
						</td>
					</tr>
					<tr>
						<td class="dial" >
							<textarea name="FixDesc" id="idFixDesc" cols="120" rows="6"><%= vfo.getFixDesc() %></textarea>
						</td>
					</tr>
					<tr>
						<td valign="middle" align="left" class="dial" >
							<p><%= vfo.m_resBndl.getString( "lblTestReq" ) %></p>
						</td>
					</tr>
					<tr>
						<td class="dial" >
							<textarea name="FixTstReq" id="idFixTstReq" cols="120" rows="3"><%= vfo.getFixTstReq() %></textarea>
						</td>
					</tr>
					<tr>
						<td valign="middle" align="left" class="dial" >
							<p><%= vfo.m_resBndl.getString( "lblFixImp" ) %></p>
						</td>
					</tr>
					<tr>
						<td class="dial" >
							<textarea name="FixImp" id="idFixImp" cols="120" rows="3"><%= vfo.getFixImp() %></textarea>
						</td>
					</tr>

					<tr>
						<td valign="middle" align="left" class="dial" >
							<p><%= vfo.m_resBndl.getString( "lblHistDat" ) %></p>
						</td>
					</tr>
					<tr>
						<td valign="middle" align="left" class="dial" >
							<input id="idHistTxt" type="text" size="60"/><button type="button" onClick="addFixLine3()" style="width:110pt"><%= vfo.m_resBndl.getString( "blblAdd" ) %></button>
						</td>
					</tr>
					
					<tr>
						<td valign="middle" align="left" class="dial" >
							<p><%= vfo.m_resBndl.getString( "lblFixLst" ) %></p>
						</td>
					</tr>				
					<tr>
						<td class="dial">
							<table border="1" class="dial" id="fixLstTbl2">
								<tr>
									<td><%= vfo.m_resBndl.getString( "lblDate" ) %></td>
									<td><%= vfo.m_resBndl.getString( "lblTime" ) %></td>
									<td><%= vfo.m_resBndl.getString( "lblAuthor" ) %></td>	
									<td><%= vfo.m_resBndl.getString( "lblPath" ) %></td>
									<td><%= vfo.m_resBndl.getString( "lblFile" ) %></td>
									<td><%= vfo.m_resBndl.getString( "lblBranch" ) %></td>
									<td><%= vfo.m_resBndl.getString( "lblVer" ) %></td>
									<td><%= vfo.m_resBndl.getString( "lblSection" ) %></td>
									<td><%= vfo.m_resBndl.getString( "lblCmmnt" ) %></td>
								</tr>							
								<%= vfo.getFixLstPrepd() %>							
							</table>
						</td>
					</tr>
					<tr>
						<%-- td><button type="button" onClick="addFixLine2()" style="width:110pt"><%= vfo.m_resBndl.getString( "blblMore" ) %></button></td --%>
						<td><input name="FixCount" id="fixLstCount" type="hidden" value="<%= vfo.m_FixCount %>"></input></td>
						<!-- textarea name="FixLst" id="idFixLst" cols="100" rows="4"></textarea -->
					</tr>
				</table>
				</form>
			</td></tr>
	
			<tr>
				<td class="dial">
					<button type="button" id="butSaveFix" onClick="saveFix()" style="width:110pt"><%= vfo.m_resBndl.getString( "blblOK" ) %></button>
					&nbsp;
					<button type="reset" onClick="rstFix()" style="width:110pt"><%= vfo.m_resBndl.getString( "blblCancel" ) %></button>
				</td>
			</tr>
		</table>
	</div>
<%
	}
%>

	<iframe id="selHider" src="javascript:'&lt;html&gt;&lt;/html&gt;';" scrolling="no" frameborder="0" style="position:absolute;width:10;height:10;top:-500;left:50;border:none;display:block;z-index:0;filter:Alpha(opacity=0);"></iframe>

<%@ include file="jspf/FixDial.jspf" %>
<%@ include file="jspf/ComnDial.jspf" %>
<!--  %@ include file="jspf/ErrHndl.jspf" % -->

<%
	dBAcc.close();
%>

</body>
</HTML>