package RTObj;

import com.qanavigation.DBacc.DBacc2;
import com.qanavigation.QNservices.QNRepBld;
import com.qanavigation.QNservices.SrvltReqTools;
import com.qanavigation.XMLDB.XMLDB;

/**
 * Fix Builder
 *
 */
public class FixRepBld extends QNRepBld {
	
	/**
	 * 
	 * @param p_DBacc
	 * @param p_SRT
	 * @param p_FilePath
	 */
	public FixRepBld( DBacc2 p_DBacc, SrvltReqTools p_SRT, String p_FilePath ) {

		super( p_DBacc, p_SRT, p_FilePath, "Fix" );
				
		if( notOK() ) {
			
			addRsltAddInfo( "'FixBld.FixBld(..)' failed." );
		}
	}
	
	/**
	 * 
	 * @param p_xDB
	 * @param p_SRT
	 * @param p_FilePath
	 */
	public FixRepBld( XMLDB p_xDB, SrvltReqTools p_SRT, String p_FilePath ) {

		super( p_xDB, p_SRT, p_FilePath, "ChgReq" );
				
		if( notOK() ) {
			
			addRsltAddInfo( "'FixBld.FixBld( XMLDB ..)' failed." );
		}
	}
}
