/*
 * Created on Aug 28, 2004
 *
 */

package RTtools;

import com.qanavigation.QNservices.QNDefs;


/**
 * @author RDG
 *
 */
public class TRStat extends QNDocStat {
	
	/**
	 * 
	 * @param p_Stat
	 */
	public TRStat( String p_Stat ) {
		
		super( p_Stat ); 
	}
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextAssgn() {

		boolean isTrue = false;
			
		if( ( m_Stat.compareTo( QNDefs.c_StatSub ) == 0 ) 
				|| ( m_Stat.compareTo( QNDefs.c_StatTstFail ) == 0 )
				|| ( m_Stat.compareTo( QNDefs.c_StatReOpen ) == 0 )
				){
			
			isTrue = true;
		}
//isTrue = true;		
		return isTrue;
	}	
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextAssgn4Tst() {
		
		boolean isTrue = ( m_Stat.compareTo( QNDefs.c_StatR4Tst ) == 0 );
		
		return isTrue;
	}	

	/**
	 * 
	 * @return
	 */		
	public boolean nextClose() {
		
		boolean isTrue;
		
		//boolean isTrue = ( m_Stat.compareTo( QNDefs.c_StatShp ) == 0 );
		isTrue = ( m_Stat.compareTo( QNDefs.c_StatTst ) == 0 );
		isTrue |= ( m_Stat.compareTo( QNDefs.c_StatRej ) == 0 );

//isTrue = true;			
		return isTrue;
	}
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextCmmntReq() {
		
		boolean isTrue;

		isTrue = ( m_Stat.compareTo( QNDefs.c_StatEval ) == 0 );
		isTrue |= nextShip();
				
		return isTrue;
	}
	
	/**
	 * 
	 * @return
	 */		
	// Currently not used
	public boolean nextQTst() {
		
		boolean isTrue = ( m_Stat.compareTo( QNDefs.c_StatFixn ) == 0 );
		
		return isTrue;
	}
	
	
	/**
	 * 
	 * @return
	 */
	public boolean nextRej() {
		
		boolean isTrue;
		
		isTrue = nextAssgn();
		isTrue |= nextFix();
		//isTrue |= nextShip();
//isTrue = true;				
		return isTrue;
	}		
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextR4Ship() {
		
		boolean isTrue;
		//isTrue = ( m_Stat.compareTo( QNDefs.c_StatTst ) == 0 );
		isTrue = ( m_Stat.compareTo( QNDefs.c_StatFixn ) == 0 );
//isTrue = true;		
		return isTrue;
	}
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextShip() {
		
		boolean isTrue = ( m_Stat.compareTo( QNDefs.c_StatR4Ship ) == 0 );
//isTrue = true;		
		return isTrue;
	}	
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextTst() {
		
		boolean isTrue = ( m_Stat.compareTo( QNDefs.c_StatAssgndTst ) == 0 );
//isTrue = true;
		return isTrue;
	}
	
	/**
	 * 
	 * @return
	 */		
	public boolean postRS() {
		
		boolean isTrue = ( m_Stat.compareTo( QNDefs.c_StatR4Ship ) == 0 );
		isTrue |= ( m_Stat.compareTo( QNDefs.c_StatShp ) == 0 );
		isTrue |= ( m_Stat.compareTo( QNDefs.c_StatBld ) == 0 );		
		isTrue |= ( m_Stat.compareTo( QNDefs.c_StatR4Tst ) == 0 );
		isTrue |= ( m_Stat.compareTo( QNDefs.c_StatTst ) == 0 );
		isTrue |= ( m_Stat.compareTo( QNDefs.c_StatClosed ) == 0 );		
//isTrue = true;
		return isTrue;
	}
}
