﻿/* Copyright (c) 2004 -2009 Ronald D. Grindle. All rights reserved. */

// ------------------------------------------
function addSelVal( p_SelName, p_Val) {

	var theSel = document.getElementsByName( p_SelName )[0];

	var nextSel = theSel.options[0];
	// for IE
	if (document.all) nextSel = 0;

	var newSel = document.createElement("option");
	newSel.text = p_Val;
	newSel.value = p_Val;

	theSel.add( newSel, nextSel );

	//theSel.selectedIndex = 0;
}

// ------------------------------------------
// add selection values
// Provide both label and value;
function addSelVals( p_SelName, p_ValArr, p_WEmpty ) {

	var cSel = 0;

	var i, x, off;

	var newSel;
	var theSel;
	var row;

	theSel = document.getElementsByName( p_SelName )[0];			

	clearSelVals( p_SelName );

	x = p_ValArr.length;

	off = 0;

	if( p_WEmpty ) {

		newSel = document.createElement("option");
		newSel.text = "";
		newSel.value = "";

		theSel.options[0] = newSel;

		off = 1;
	}

	for( i = 0; i < x; i++ ) {

		newSel = document.createElement("option");
		
		row = p_ValArr[i];
		
		newSel.text = row[1];
		newSel.value = row[0];

		theSel.options[i + off] = newSel;
	}
}

// ------------------------------------------
// add selection values/maintain current selection, if in list
function addSelValsMCS( p_SelName, p_ValArr ) {

	var cSel = 0;
	var cVal;

	var i, x;

	var newSel;
	var theSel;
	var nextSel;

	theSel = document.getElementsByName( p_SelName )[0];

	cVal = theSel.value;				

	clearSelVals( p_SelName );

	x = p_ValArr.length;
	
//alert( "addSelValsMCS " + cVal + " " + x );		

	newSel = document.createElement("option");
	newSel.text = "";
	newSel.value = "";

	theSel.options[0] = newSel;

	for( i = 0; i < x; i++ ) {

		newSel = document.createElement("option");
		newSel.value = p_ValArr[i][0];
		newSel.text = p_ValArr[i][1];

		
		//NeuerEintrag = new Option(document.Testform.neu.value, document.Testform.neu.value, false, true);
  	//document.Testform.Auswahl.options[document.Testform.Auswahl.length] = NeuerEintrag;
		
		theSel.options[i+1] = newSel;

		if( newSel.value == cVal ) cSel = i + 1;
	}

	theSel.selectedIndex = cSel;
}

// ------------------
function assgnOnKeyUp( p_ID, p_Fctn ) {

	elem = document.getElementById( p_ID );
	
	if( elem != undefined ) {
	
		elem.onkeyup = p_Fctn;
	}
}

// ------------------------------------------
function checkInput( p_Name, p_ClrName ) {

	//alert( p_Name );
	isOK = true;

//alert( p_Name );
	theIn = document.getElementsByName( p_Name )[0];

//alert( theIn.name + ", '" + theIn.value + "'" );

	val = theIn.value;

	if( val == "" ) {

		//msg = sFormatDec( errFldNotFill, p_ClrName );

		//alert( msg );

		//theIn.focus();

		//parent.notifyEvent( "resetErr", msg );

		theIn.style.backgroundColor =  "#FF88AA";

		isOK = false;
	}
	else {

		isOK = securityCheck( p_Name, p_ClrName );
	}

	return isOK;
}

// ------------------------------------------
function checkSel( p_Name, p_ClrName ) {

	theIn = document.getElementsByName( p_Name )[0];
	val = theIn.value;

	if( val == "" ) {
		
		msg = sFormatDec( errNotSelFor, p_ClrName );

		alert( msg );

		theIn.focus();

		parent.notifyEvent( "resetErr", msg );

		return false;
	}

	return true;
}

// ------------------------------------------
function checkRBut( p_Name, p_ClrName ) {

	theIn = document.getElementsByName( p_Name )[0];

	theP = theIn.parentNode;

	x = theP.childNodes.length;

	notChkd = true;

	for( i = 0; (i < x) && (notChkd); ++i ) {

		thisIn = theP.childNodes[i];

		if( "INPUT" == thisIn.tagName ) {

			notChkd = !(thisIn.checked);
			//alert( i + " " + thisIn.name + ", '" + thisIn.tagName + "'" + ", '" + thisIn.value + "'" );
		}
	}

	if( notChkd ) {
		
		//msg = sFormatDec( errButNotSel, p_ClrName );

		//alert( msg );

		thisIn = theP.childNodes[0];

		theP.style.backgroundColor = "#FF88AA";
		theIn.focus();

		//parent.notifyEvent( "resetErr", msg );

		return false;
	}

	return true;
}

// ------------------------------------------
function clearSelVals( p_SelName ) {

	var theSel = document.getElementsByName( p_SelName )[0];

	var x = theSel.length;
	
	for( i = 0; i < x; i++ ) {

		theSel.remove( 0 );
	}
}

// --------------------
function CRNumEntry( p_CBox, p_InName, p_ValName ) {

	cBox = document.getElementById( p_CBox );

	inp = document.getElementsByName( p_InName )[0];
	
//alert( inp.value.length );

	if( inp.value.length > 0 ) {

		cBox.checked = true;
		inp = document.getElementsByName( p_ValName )[0];
		inp.value = "y";	
	}
	/* else {

		cBox.checked = false;
	} */
}

// ------------------------------------------
function decode4Input( p_Str ) {
	
	var res;
	
	res = p_Str;
	
	res = res.replace( /&#34;/g,  "\"" );
	
	return res;
}


// ------------------------------------------
function decodeHTML( p_Str ) {
	
	var res;
	
	res = p_Str;
	
	res = res.replace( /&auml;/g, "ä" );
	res = res.replace( /&ouml;/g, "ö" );
	res = res.replace( /&uuml;/g, "ü" );
	
	res = res.replace( /&Auml;/g, "Ä" );
	res = res.replace( /&Ouml;/g, "Ö" );
	res = res.replace( /&Uuml;/g, "Ü" );
	
	res = res.replace( /&szlig;/g, "ß" );
	
	res = res.replace( /&gt;/g, ">" );
	res = res.replace( /&lt;/g, "<" );
	
	res = res.replace( /&amp;/g, "&" );
	
	return res;
}

// ----------------------------------------------
function doChkBut( p_ChkID, p_FldName ) {

	var cBox;
	var chkd;
	var inp;
	var val;

//alert( "doChkBut " + p_ChkID + " " + p_FldName );
	cBox = document.getElementById( p_ChkID );
	chkd = cBox.checked;

	inp = document.getElementsByName( p_FldName )[0];

	if( chkd ) {

		inp.value = "y";
	}
	else {

		inp.value = "n";
	}
	
//alert( "doChkBut; " + p_FldName + ": " + inp.value );	
}

// ------------------------------------------
function doSetFoc( p_Lst ) {

	notFound = true;
	
	i = 0;
	
	x = p_Lst.length;
	
	do {
	
		elem = document.getElementById( p_Lst[i] );
		
		if( elem == null ) {
		
			i++;
			
			if( i > x ) {
			
				notFound = false;
			}
		}
		else {
	
			elem.focus();
			notFound = false;
		}
	} while( notFound );
}

// ------------------------------------------
function getCurDate() {

	var val;
	var vl;
	var l;
	
	var dt = new Date();
	
	val = dt.getFullYear();
	
	vl = "0" + (dt.getMonth() + 1);
	
	l = vl.length;
	
	if( l > 2 ) {
	
		vl = vl.substr( l - 2, 2 );
	}
	
	val += "-" + vl;
	
	vl = "0" + dt.getDate();
	
	l = vl.length;
	
	if( l > 2 ) {
	
		vl = vl.substr( l - 2, 2 );
	}
	
	val += "-" + vl;

	return val;
}

// ------------------------------------------
function getFrame( p_Name ) {

	var frm;
	var elem;

	if( MS ) {
		
		frm = frames[p_Name];
	}
	else {

		elem = document.getElementById( p_Name );
		frm = elem.contentWindow;
	}

	return frm;
}

// ------------------------------------------
function getRadioVal( p_RadioName ) {

	var rVal;
	var theRadio;

	rVal = "n";

	theRadio = document.getElementsByName( p_RadioName );

	x = theRadio.length;

	for( i = 0; i < x; i++ ) {

		if( theRadio[i].checked ) {

			rVal = theRadio[i].value;
		}
	}

	return rVal;
}


// ----------------------------------------------
function getDocHight() {

	h = 0;

// ????

	return h;
}

// ----------------------------------------------
function getDocWidth() {

	w = 0;

// ????

	return w;
}


// ----------------------------------------------
function getElemHight( p_ElemID ) {

	h = 0;

  if( MS ) {

    h = document.getElementById( p_ElemID ).offsetHeight;
  } 
	else {

		docObj = document.getElementById( p_ElemID );
    h = document.defaultView.getComputedStyle( docObj, "" ).getPropertyValue("height");
		h = parseInt( h );
  }

	return h;
}

// ----------------------------------------------
function getElemWidth( p_ElemID ) {

	w = 0;

  if( MS ) {

    w = document.getElementById( p_ElemID ).offsetWidth;
  } 
	else {

		docObj = document.getElementById( p_ElemID );
    w = document.defaultView.getComputedStyle( docObj, "" ).getPropertyValue("width");
		w = parseInt( w );
  }

	return w;
}

// ----------------------------------------------
function getWinHight() {

	h = 0;

 	if( window.innerHeight ) {

//alert( "inner" );
		h = window.innerHeight;
	} 
	else if( document.body && document.body.offsetHeight ) {

//alert( "offset" );
		h = document.body.offsetHeight;
	}

	return h;
}

// ----------------------------------------------
function getWinWidth() {

	w = 0;

  if( window.innerWidth ) {

    w = window.innerWidth;
  } 
	else if( document.body && document.body.offsetWidth ) {

    w = document.body.offsetWidth;
  }

	return w;
}

// ------------------
function isReturn( e ) {

	isRet = false;

	if( !e ) {

    e = window.event;
	}

	code = e.keyCode;
	
	if( code == 13 ) { 
			
		isRet = true;
	}
	
	return isRet;
}

// ------------------------------------------
function notify( ev ) {

	if( parent !== undefined ) {

		if( !(parent == this) ) {
	//alert( "Parent: " + parent );

			// only this works also for mozilla
			if(	parent.m_ImHere == undefined ) {	

				window.setTimeout( "notify('" + ev + "')", 500 );
			}
			else {

				parent.notify( ev );
			}
		}
		else {

	//alert( "Parent: top!" );
		}
	}
}

// ------------------------------------------
function notifyErr( errMsg ) {

	if( parent !== undefined ) {

		// only this works also for mozilla
		if(	parent.m_ImHere == undefined ) {	

			window.setTimeout( "notifyErr(\"" + errMsg + "\")", 500 );
		}
		else {

	//alert( "PnlTools" );

			parent.notifyEvent( "Error", errMsg );
		}
	}
}

// ------------------------------------------
function notifyEvent( ev, msg ) {

	if( parent !== undefined ) {

		if( !(parent == this) ) {
	//alert( "Parent: " + parent );

			// only this works also for mozilla
			if(	parent.m_ImHere == undefined ) {	

				window.setTimeout( "notifyEvent(\"" + ev + "\", \"" + msg + "\"", 500 );
			}
			else {

				parent.notifyEvent( ev, msg );
			}
		}
		else {

	//alert( "Parent: top!" );
		}
	}
}

// ------------------------------------------
function preSelRadioByVal( p_Radio, p_Val ) {

	theRadio = document.getElementsByName( p_Radio );

	x = theRadio.length;

	for( i = 0; i < x ; ++i ) {

		if( theRadio[i].value == p_Val ) {

			theRadio[i].checked = true;

			i = x;
		}
	}
}

// ------------------------------------------
function preselSelByVal( p_SelName, p_Val) {

	if( p_Val.length > 0 ) {

		var notFound = true;

		var theSel = document.getElementsByName( p_SelName )[0];

		x = theSel.length;

		for( i = 0; i < x ; ++i ) {

			if( theSel.options[i].value == p_Val ) {

				theSel.selectedIndex = i;

				i = x;

				notFound = false;
			}
		}

		if( notFound ) {

			var nextSel = theSel.options[0];

			var newSel = document.createElement("option");
			newSel.text = p_Val;
			newSel.value = p_Val;

			// for IE
			if (document.all) nextSel = 0;

			theSel.add( newSel, nextSel );

			theSel.selectedIndex = 0;
		}
	}
}

// ------------------------------------------
function rset( p_Fieldname ) {

	fld = document.getElementsByName( p_Fieldname )[0];

	fld.value = "";
}


// ------------------------------------------
function securityCheck( p_Name, p_ClrName ) {

	theIn = document.getElementsByName( p_Name )[0];

	//alert( theIn.name + ", '" + theIn.value + "'" );

	val = theIn.value;

	re = new RegExp( "<script","gim");

	if( re.test( val ) ) {

		msg = decodeHTML( errNoSubScr )
		
		alert( msg );

		theIn.focus();

		/* parent.notifyEvent( "resetErr", msg ); */

		theIn.style.backgroundColor = "#FF88AA";

		return false;
	}

	return true;
}

// ------------------------------------------
function setCheckIf( p_CBoxName, p_NCVal, p_Val ) {

	var theChkBox;

	if( p_NCVal == p_Val ) {

		theChkBox = document.getElementsByName( p_CBoxName );

		theChkBox[0].checked = true;
	}	
}

// ------------------------------------------
function sFormat( p_Str, p_subStr ) {
	
	var x, n;
	
	rStr = "";

	n = 0;		
	
	x = p_Str.indexOf( "{0}" );
	
	while( -1 != x ) {
		
		rStr += p_Str.substring( n, x );
		
		rStr += p_subStr;
		
		n = x + 3;
		
		x = p_Str.indexOf( "{0}", n );
	}
	
	rStr += p_Str.substring( n );
		
	return rStr;
}

// ------------------------------------------
function sFormatDec( p_Str, p_subStr ) {
	
	var rStr;
	
	rStr = sFormat( p_Str, p_subStr );

	rStr = decodeHTML( rStr );

	return rStr;
}

// ------------------------------------------
function setRButRO( p_Name, p_Ro ) {

	//theIn = document.getElementsByName( p_Name )[0];
	
	theIns = document.getElementsByName( p_Name );

	//theP = theIn.parentNode;

	//x = theP.childNodes.length;
	x = theIns.length;

	notChkd = true;

	for( i = 0; i < x; ++i ) {

		//thisIn = theP.childNodes[i];
		thisIn = theIns[i];

		if( "INPUT" == thisIn.tagName ) {
		
			if( p_Ro ) {

				thisIn.checked = false;
				className = "ro";
			}
			else {
			
				className = "";
			}
			
			thisIn.readOnly = p_Ro;
		}
	}

	return true;
}

// ------------------
function toggleCompBut( p_ButName ) {

	var inp = document.getElementsByName( p_ButName )[0];

	var but = document.getElementById( "but" + p_ButName );

	var val = inp.value;
	
	if( val == "=" ) {

		 inp.value = ">=";
		 but.value = ">=";
	}
	else if( val == ">=" ) {

		 inp.value = "<=";
		 but.value = "<=";
	}
	else if( val == "<=" ) {

		 inp.value = "=";
		 but.value = "=";
	}
}

