<!-- QANav Report Tracker Copyright 2004 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page errorPage="/ErrPage.jsp" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>

<%@ page import="com.qanavigation.Basics.*" %>
<%@ page import="com.qanavigation.QNservices.*" %>

<%@ page import="java.util.ArrayList" %>

<fmt:setBundle basename="QNLabels"/>

<%@ include file="jspf/UserRoles.jspf" %>
<%@ page import="RTtools.UserMailTool" %>

<% 

	int i, x;

	String assign;
	String oStr;
	String UID;
	String User;
	String src;

	//ResourceBundle resBndl = ResourceBundle.getBundle( "QNLabels", request.getLocale() );
	QNRscBundle resBndl = new QNRscBundle( "QNLabels", request.getLocale() );

	Rslt res = new Rslt( true );

	SrvltReqTools sTools = new SrvltReqTools( this, request );

	QNDBacc2 dBAcc = new QNDBacc2();

	UID = sTools.checkParam( "UID" );

	User  = request.getRemoteUser();

	assign = sTools.getStrVal( "Assign" );
	
	evalUser( request, resBndl );
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>

		<meta name="DC.Title" content="Fix List View Frame">
		<meta name="DC.Creator" content="Ronald D. Grindle">
		<meta name="DC.Publisher" content="QA Navigation">
		<meta name="DC.Date" content="2004-07-31">
		<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
		<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">
		
		<link rel=stylesheet type="text/css" href="QNStyle.css">
		<link href="favicon.ico" rel="shortcut icon">

		<TITLE>Fix List Frame</TITLE>

<script type="text/javascript" src="incl/AjxTools.js"></script>
<script type="text/javascript" src="incl/dhtml.js"></script>
<script type="text/javascript" src="incl/DialTools.js"></script>
<script type="text/javascript" src="incl/PnlTools.js"></script>
<script type="text/javascript" src="incl/RManTools.js"></script>
<script type="text/javascript" src="incl/RepVTools.js"></script>

<script type="text/javascript">
<!--

var m_UID = <% out.print( "\"" + UID + "\"" ); %>;

var m_ImHere =true;

window.onresize = rsz;

// ------------------------------------------
function lstSubSrch() {

	theNode = document.getElementById( "idSrchTxt" );
	srchTxt = theNode.value;

	if( srchTxt.length > 0 ) {

		src = "FixLst.jsp?Mode=Srch&SrchTxt=";

		src += srchTxt;
	}
	else {

		src = "FixLst.jsp";
	}

	frm = getFrame( "ViewFrame" );

	frm.location.href = src;
}

// ---------------------------
function refrLst() {

	theNode = document.getElementById( "idSrchTxt" );

	if( theNode != null ) {

		srchTxt = theNode.value;

		if( (srchTxt.length > 0) ) {

			lstSubSrch();
		}
		else{
		
			lstSubReload();
		}
	}
	else {

		lstSubReload();
	}
}

// ---------------------------
function lstSubReload() {

	src = "FixLst.jsp";

	frm = getFrame( "ViewFrame" );

	frm.reLoadLst( src );
}

// ---------------------------
function printDoc() {

	frm = getFrame( "ViewFrame" );

	frm.focus();
	frm.print();
}

// ------------------------------------------
function rsz() {

	h = getWinHight();

	h -= 145;

	theFrame = document.getElementById( "ViewFrame" );

	theFrame.setAttribute("height", h, "false");
}

// ------------------------------------------
function startUp() {

	
	rsz();

	//document.scrolling="no";

	m_ImHere = true;
}

// -->
</script>
</head>

<body bgcolor="silver" class="QANframe" style="margin-top:20px;" onload="startUp()">

	<table border="0" width="98%" style="margin-bottom:5px;">
		<tr>
			<td colspan="2"><b><fmt:message key="lblFixLst"/></b></td>
		</tr>
		<tr>
			<td><button type="button" onClick="refrLst()"><fmt:message key="blblSrch"/></button> <input type="text" id="idSrchTxt"></td>
		</tr>
	</table>

<%
	src = "FixLst.jsp";

	if( assign.length() > 0 ) {

		src += "?Assign=" + SFormatter.encodeURL( assign );
	}
%>

	<iframe id="ViewFrame" src="<%= src %>" width="99%" height="200" application="yes">

		<p>Processing failed. Your browser does not allow frames. Please set up your browser to allow frames.</p>
	</iframe>

	<table class="dial" id="tbButMenu" style="margin-top:20px;"><tr>		

		<td><button type="button" onClick="refrLst()" style="width:110pt"><fmt:message key="blblRefrLst"/></button></td>

		<td><button type="button" onClick="printDoc()" style="width:110pt"><fmt:message key="blblPrint"/></button></td>
	</tr></table>

<%@ include file="jspf/ErrHndl.jspf" %>

<%
	dBAcc.close();
%>

</body>
</HTML>