﻿/* QANav Report Tracker Copyright 2004 -2009 Ronald D. Grindle */

// --------------------
function myReload() {

	self.location.href = m_href;
}

// ----------------------------------------------
function hideD( p_TheDiv ) {

	theD = document.getElementById( p_TheDiv );
	theD.style.visibility = "hidden";
	theD.style.top = "-600";

	if( MS ) {

		theH = document.getElementById( "selHider" );
		theH.style.top = "-600";
	}
}

// ----------------------------------------------
// we had some problems with mozilla and setting the top value
// if the div's position was specified with a trailing "px".
// Leave it out.
function showD( p_TheDiv, p_Ypos ) {

	theD = document.getElementById( p_TheDiv );
	theD.style.visibility = "visible";
	theD.style.top = document.body.scrollTop + p_Ypos;

	if( MS ) {

		// required to hide select lists in IE
		theH = document.getElementById( "selHider" );

		theH.style.top = theD.style.top;
		theH.style.left = theD.style.left;
	/*
		w = theD.style.width;
		theH.style.width = w;
		h = theD.style.height;
		theH.style.height = h;
	*/
	}
}

// ----------------------------------------------
function showDivAt( p_TheDiv, p_Xpos, p_Ypos, p_Height, p_Width ) {

	theD = document.getElementById( p_TheDiv );
	theD.style.visibility = "visible";

	yPos = p_Ypos - p_Height;
	xPos = p_Xpos - 40;

/*
// doesn't work.
	yPos = p_Ypos + 10;
	xPos = p_Xpos + 10;

	h = getDocHight();
	w = getDocWidth();

	if( yPos < 20 ) {

		yPos = 20;
	}
	else if( yPos > (h - p_Hight) ) {

		yPos = h - p_Hight;
	}

	if( xPos < 20 ) {

		xPos = 20;
	}
	else if( xPos > (w - p_Width) ) {

		xPos = w - p_Width;
	}
*/

	theD.style.top = yPos;
	theD.style.left = xPos;

	if( MS )  {

		// required to hide select lists in IE
		theH = document.getElementById( "selHider" );
		theH.style.top = yPos;
		theH.style.left = xPos;
		w = theD.style.width;
		theH.style.width = w;
		h = theD.style.height;
		theH.style.height = h;
	}
}

// ----------------------------------------------
function doExec( p_Cmnd ) {

	notifyEvent( "Proc", "" );

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );

	theFrm.src = p_Cmnd;
}

// ----------------------------------------------
// Confirm window
function execConfrmd() {

	hideD( "dialConfirm" );
	//blurFocus( "butConfrmd" );

	doExec( m_OnConfirm );
}

// -----------------------
function decodeHTML( p_Str ) {

	var res;

	res = p_Str;

	res = res.replace( /&nbsp;/g, "" );
	res = res.replace( /&iexcl;/g, "¡" );
	res = res.replace( /&cent;/g, "¢" );
	res = res.replace( /&pound;/g, "£" );
	res = res.replace( /&curren;/g, "¤" );
	res = res.replace( /&yen;/g, "¥" );
	res = res.replace( /&brvbar;/g, "¦" );
	res = res.replace( /&sect;/g, "§" );
	res = res.replace( /&uml;/g, "¨" );
	res = res.replace( /&copy;/g, "©" );
	res = res.replace( /&ordf;/g, "ª" );
	res = res.replace( /&laquo;/g, "«" );
	res = res.replace( /&not;/g, "¬" );
	res = res.replace( /&shy;/g, "­" );
	res = res.replace( /&reg;/g, "®" );
	res = res.replace( /&macr;/g, "¯" );
	res = res.replace( /&deg;/g, "°" );
	res = res.replace( /&plusmn;/g, "±" );
	res = res.replace( /&sup2;/g, "²" );
	res = res.replace( /&sup3;/g, "³" );
	res = res.replace( /&acute;/g, "´" );
	res = res.replace( /&micro;/g, "µ" );
	res = res.replace( /&para;/g, "¶" );
	res = res.replace( /&middot;/g, "·" );
	res = res.replace( /&cedil;/g, "¸" );
	res = res.replace( /&sup1;/g, "¹" );
	res = res.replace( /&ordm;/g, "º" );
	res = res.replace( /&raquo;/g, "»" );
	res = res.replace( /&frac14;/g, "¼" );
	res = res.replace( /&frac12;/g, "½" );
	res = res.replace( /&frac34;/g, "¾" );
	res = res.replace( /&iquest;/g, "¿" );
	res = res.replace( /&Agrave;/g, "À" );
	res = res.replace( /&Aacute;/g, "Á" );
	res = res.replace( /&Acirc;/g, "Â" );
	res = res.replace( /&Atilde;/g, "Ã" );
	res = res.replace( /&Auml;/g, "Ä" );
	res = res.replace( /&Aring;/g, "Å" );
	res = res.replace( /&AElig;/g, "Æ" );
	res = res.replace( /&Ccedil;/g, "Ç" );
	res = res.replace( /&Egrave;/g, "È" );
	res = res.replace( /&Eacute;/g, "É" );
	res = res.replace( /&Ecirc;/g, "Ê" );
	res = res.replace( /&Euml;/g, "Ë" );
	res = res.replace( /&Igrave;/g, "Ì" );
	res = res.replace( /&Iacute;/g, "Í" );
	res = res.replace( /&Icirc;/g, "Î" );
	res = res.replace( /&Iuml;/g, "Ï" );
	res = res.replace( /&ETH;/g, "Ð" );
	res = res.replace( /&Ntilde;/g, "Ñ" );
	res = res.replace( /&Ograve;/g, "Ò" );
	res = res.replace( /&Oacute;/g, "Ó" );
	res = res.replace( /&Ocirc;/g, "Ô" );
	res = res.replace( /&Otilde;/g, "Õ" );
	res = res.replace( /&Ouml;/g, "Ö" );
	res = res.replace( /&times;/g, "×" );
	res = res.replace( /&Oslash;/g, "Ø" );
	res = res.replace( /&Ugrave;/g, "Ù" );
	res = res.replace( /&Uacute;/g, "Ú" );
	res = res.replace( /&Ucirc;/g, "Û" );
	res = res.replace( /&Uuml;/g, "Ü" );
	res = res.replace( /&Yacute;/g, "Ý" );
	res = res.replace( /&THORN;/g, "Þ" );
	res = res.replace( /&szlig;/g, "ß" );
	res = res.replace( /&agrave;/g, "à" );
	res = res.replace( /&aacute;/g, "á" );
	res = res.replace( /&acirc;/g, "â" );
	res = res.replace( /&atilde;/g, "ã" );
	res = res.replace( /&auml;/g, "ä" );
	res = res.replace( /&aring;/g, "å" );
	res = res.replace( /&aelig;/g, "æ" );
	res = res.replace( /&ccedil;/g, "ç" );
	res = res.replace( /&egrave;/g, "è" );
	res = res.replace( /&eacute;/g, "é" );
	res = res.replace( /&ecirc;/g, "ê" );
	res = res.replace( /&euml;/g, "ë" );
	res = res.replace( /&igrave;/g, "ì" );
	res = res.replace( /&iacute;/g, "í" );
	res = res.replace( /&icirc;/g, "î" );
	res = res.replace( /&iuml;/g, "ï" );
	res = res.replace( /&eth;/g, "ð" );
	res = res.replace( /&ntilde;/g, "ñ" );
	res = res.replace( /&ograve;/g, "ò" );
	res = res.replace( /&oacute;/g, "ó" );
	res = res.replace( /&ocirc;/g, "ô" );
	res = res.replace( /&otilde;/g, "õ" );
	res = res.replace( /&ouml;/g, "ö" );
	res = res.replace( /&divide;/g, "÷" );
	res = res.replace( /&oslash;/g, "ø" );
	res = res.replace( /&ugrave;/g, "ù" );
	res = res.replace( /&uacute;/g, "ú" );
	res = res.replace( /&ucirc;/g, "û" );
	res = res.replace( /&uuml;/g, "ü" );
	res = res.replace( /&yacute;/g, "ý" );
	res = res.replace( /&thorn;/g, "þ" );
	res = res.replace( /&yuml;/g, "ÿ" );
	res = res.replace( /&ndash;/g, "–" );
	res = res.replace( /&mdash;/g, "—" );
	res = res.replace( /&lsquo;/g, "‘" );
	res = res.replace( /&rsquo;/g, "’" );
	res = res.replace( /&sbquo;/g, "‚" );
	res = res.replace( /&ldquo;/g, "“" );
	res = res.replace( /&rdquo;/g, "”" );
	res = res.replace( /&bdquo;/g, "„" );
	res = res.replace( /&dagger;/g, "†" );
	res = res.replace( /&Dagger;/g, "‡" );
	res = res.replace( /&hellip;/g, "…" );
	res = res.replace( /&permil;/g, "‰" );
	res = res.replace( /&lsaquo;/g, "‹" );
	res = res.replace( /&rsaquo;/g, "›" );

	return res;
}


// ------------------------------------------
function setFocus( p_ElemID ) {

	elem = document.getElementById( p_ElemID );
	elem.focus()	
}

// ------------------------------------------
function blurFocus( p_ElemID ) {

	elem = document.getElementById( p_ElemID );
	elem.blur()	
}

