/* Copyright (c) 2004 Ronald D. Grindle. All rights reserved. */

/* Provide labels:

blblCancel
blblChgStat
blblDel
blblView
blblInNW

msgConfrmDel
lblProbStat
*/

var m_OnConfirm = "";
var m_lastClickX = 0;
var m_lastClickY = 0;

// switch between opening a new window and the same window
var m_sameWinMode = true;

// ----------------------------------------------
// appending docs 2 shipment
function appLst2ShipSel() {

	showD( "dialShipDocSel", 50 );
	setFocus( "butApp2ShpDoc" );
}

// ------------------------------------------------------------------
// Change Status
function chgStat() {

	hideD( "dialButMenu" );

	showD( "dialChgRStat", 50 );
	setFocus( "butChgRStat" );
}

// --------------------------
function chkAll() {

	var cBox;
	var chkd;
	var i;
	var found = true;

	cBox = document.getElementsByName("chkAll" )[0];

	chkd = cBox.checked;

	i = 0;

	while( found ) {

		cBox = document.getElementById("chkLine" + i );

		if( cBox == undefined ) {

			found = false;
		}
		else {

			cBox.checked = chkd;

			setChkLine( i )
			i++;
		}
	}
}


// ------------------------------------------------------------------
// Change Status
function delRep() {

	theTxt = document.getElementById( "idConfTxt" );
	theTxt.innerHTML = msgDelBrkLnk + "<p>" + msgConfrmDel;

	m_Reload = true;

	hideD( "dialButMenu" );

	showD( "dialConfirm", 50 );
	setFocus( "butConfrmd" );

	m_OnConfirm = "UpdQNDoc?QNA=Delete&UID=" + m_UID + "&User=" + m_User;
}

// ------------------------------------
// bulk delete (auto) PRs
function delSelPR() {

	m_Reload = true;

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "DelPRLst";

	theNode = document.getElementById( "idLstFormAuthor" );
	theNode.value = m_User;

	theNode = document.getElementById( "idLstFormCurrStat" );
	theNode.value = "dr";

	theNode = document.getElementById( "idLstFormStat" );
	theNode.value = "";

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theNode = document.getElementsByName( "LstForm" )[0];
	theNode.submit();
}

// ----------------------------------------------
// execution window
function execWinDone() {

	hideD( "dialExecWin" );
	//blurFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );
	theFrm.src = "";

	resetAll();
}

// ----------------------------------------------
// forwarding
function frwrdSel() {

	theNode = document.getElementById( "idAsgnQNA" );
	theNode.value = "AssignLst";

	theNode = document.getElementById( "idAsgnUID" );
	theNode.value = "";

	theNode = document.getElementById( "idAsgnDType" );
	theNode.value = m_DocType;

	theNode = document.getElementById( "idAsgnUser" );
	theNode.value = m_User;

	theNode = document.getElementById( "idAsgnStat" );
	theNode.value = "";

	theNode = document.getElementById( "idCurrStat" );
	theNode.value = "";

	theNode = document.getElementById( "formAssgnTProc" );
	theNode.value = "frwrdSelTo();";

	fillAssgnLst( "" );

	showD( "dialAssignLst", 50 );
	setFocus( "butDoAssgn" );
	
}

// ------------------------------------
// forwarding to selected user
function frwrdSelTo() {

	var tUser;

	theForm = document.getElementById( "formAssgn" );

	tUser =	theForm.Assignee.options[theForm.Assignee.selectedIndex].value;

	m_Reload = true;

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "AssignLst";

	theNode = document.getElementById( "idLstFormAuthor" );
	theNode.value = m_User;

	theNode = document.getElementById( "idLstFormVal1" );
	theNode.value = tUser;

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theNode = document.getElementsByName( "LstForm" )[0];
	theNode.submit();
}

// ----------------------------------------------
// append fixes 2 Shp doc
function doApp2ShpDoc() {

	m_Reload = true;

	hideD( "dialShipDocSel" );
	//blurFocus( "butApp2ShpDoc" );

	var val;

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "App2ShpLst";

	theNode = document.getElementById( "idLstFormAuthor" );
	theNode.value = m_User;

	theNode = document.getElementById( "idLstFormCurrStat" );
	theNode.value = "ps"; // required status

	theNode = document.getElementById( "idLstFormStat" );
	theNode.value = "rt"; //new status

	theNode = document.getElementsByName( "ShpDocUID" )[0];
	val = theNode.value;

	theNode = document.getElementById( "idLstFormVal1" );
	theNode.value = val;

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theNode = document.getElementsByName( "LstForm" )[0];
	theNode.submit();

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "";
}

// ----------------------
function lnchFilter() {

		var filtForm = document.getElementsByName( "FilterForm" )[0];

		filtForm.submit();
}

// ------------------
function lnchOnReturn( e ) {

	if( isReturn( e ) ) { 

		lnchFilter();
	}
}

// ----------------------------------------------
// shipping, launch
function lnchShipDoc() {

	m_Reload = true;

	hideD( "dialShipDoc" );
	//blurFocus( "butLnchShipDoc" );

	var val;

	theNode = document.getElementById( "idLstFormAuthor" );
	theNode.value = m_User;

	theNode = document.getElementById( "idShipRelease" );
	val = theNode.value;

	theNode = document.getElementById( "idLstFormVal1" );
	theNode.value = val;

	theNode = document.getElementById( "idShipLstDate" );
	val = theNode.value;

	theNode = document.getElementById( "idLstFormVal2" );
	theNode.value = val;

	theNode = document.getElementById( "idShipAppl" );
	val = theNode.value;

	theNode = document.getElementById( "idLstFormVal3" );
	theNode.value = val;
	
	theNode = document.getElementById( "idShipCmnt" );
	val = theNode.value;

	theNode = document.getElementById( "idLstFormVal4" );
	theNode.value = val;	

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theNode = document.getElementsByName( "LstForm" )[0];

//window.alert( "Action '" + theNode.action + "'" );
	
	theNode.submit();

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "";
}

// ------------------------------------------------------------------
// assign dialog
function lstAssignTo( p_NextStat ) {

	hideD( "dialButMenu" );

	theNode = document.getElementById( "idAsgnQNA" );
	theNode.value = "Assign";

	theNode = document.getElementById( "idAsgnUID" );
	theNode.value = m_UID;

	theNode = document.getElementById( "idAsgnDType" );
	theNode.value = m_DocType;

	theNode = document.getElementById( "idAsgnUser" );
	theNode.value = m_User;

	theNode = document.getElementById( "idAsgnStat" );
	theNode.value = p_NextStat;

	theNode = document.getElementById( "idCurrStat" );
	theNode.value = "";

	theNode = document.getElementById( "formAssgnTProc" );
	theNode.value = "invokeAssign();";
	
	fillAssgnLst( "" );

	showD( "dialAssignLst", 50 );
	setFocus( "butDoAssgn" );

}

// ----------------------------------------------
// ready 4 shipping
function r4ShipSel() {

	m_Reload = true;

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "SetTRStatLst";

	theNode = document.getElementById( "idLstFormCurrStat" );
	theNode.value = "rs"; // required status

	theNode = document.getElementById( "idLstFormStat" );
	theNode.value = "ps"; //new status
	
	theNode = document.getElementById( "idShipLstAuthor" );
	theNode.value = m_User;
	
	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theNode = document.getElementsByName( "LstForm" )[0];
	theNode.submit();

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "";
}

// ----------------------------------------------
function reLoadLst( p_Default ) {

	frm = document.getElementsByName( "FilterForm" )[0];

	if( frm != null ) {

		if( parent !== undefined ) {

			parent.notifyEvent( "Proc", "" );
		}
		frm.submit();
	}
	else {

		self.location.href = p_Default;
	}
}

// ----------------------------------------------
function resetAll() {

	m_noMenue = true;

	if( m_UID.length > 0 ) {

		mOut( m_UID );
	}

	m_UID = "";

	m_OnConfirm = "";

	if( m_Reload ) {

		// 2008-05-30 location.reload( true );
		reLoadLst();

		m_Reload = false;
	}
}

// ----------------------------------------------
function resetAssign() {

	hideD( "dialAssignLst" );
	//blurFocus( "butDoAssgn" );

	theNode = document.getElementById( "idAsgnUID" );
	theNode.value = "";

	resetAll();
}


// ----------------------------------------------
// Confirm window
function resetConfrmd() {

	hideD( "dialConfirm" );
	//blurFocus( "butConfrmd" );

	theTxt = document.getElementById( "idConfTxt" );
	theTxt.data = ""

	resetAll();
}

// ----------------------------------------------
// Menu
function rstMenu() {

	hideD( "dialButMenu" );

	resetAll();
}

// ----------------------------------------------
function rstChgRStat() {

	hideD( "dialChgRStat" );
	//blurFocus( "butChgRStat" );

	resetAll();

	notify( "MissionOK" );
}

// ----------------------------------------------
function rstShpDocSel() {

	hideD( "dialShipDocSel" );
	//blurFocus( "butApp2ShpDoc" );

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "";

	notify( "MissionOK" );
}

// ----------------------------------------------
function rstShipLst() {

	hideD( "dialShipDoc" );
	//blurFocus( "butLnchShipDoc" );

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "";

	notify( "MissionOK" );
}

// ----------------------------------------------
function setChkLine( p_ix ) {

	var cBox;
	var chkd;
	var inp;
	var val;

//alert( "setChkLine" + p_ix );
	cBox = document.getElementById( "chkLine" + p_ix );
	chkd = cBox.checked;

	inp = document.getElementsByName( "Line" + p_ix )[0];

	if( chkd ) {

		val = cBox.parentNode.parentNode.id;

		inp.value = val;
	}
	else {

		inp.value = "";
	}
}

// ----------------------------------------------
// set up the button menu
function setUpCRLstMenu( p_WithEdit, p_WithAssign ) {

	tbl = document.getElementById( "tbPopButMenu" );

	while( tbl.rows.length > 0 ) {

		tbl.deleteRow( tbl.rows.length - 1 );
	}

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"reset\" onClick=\"rstMenu()\" style=\"width:140px\">" + blblCancel + "</button>";
	
	if( m_roleCanManCR ) {

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button class=\"red\" type=\"button\" onClick=\"chgStat()\" style=\"width:140px\">" + blblChgStat + "</button>";

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button class=\"red\" type=\"button\" onClick=\"delRep()\" style=\"width:140px\">" + blblDel + "</button>";
	}	
	
	if( m_roleCanAssgnCR && p_WithAssign ) {

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" onClick=\"lstAssignTo( '' )\" style=\"width:140px\">" + blblFrwrd + "</button>";
	}

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" onClick=\"subView()\" style=\"width:140px\">" + blblView + "</button>";

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" id=\"butViewINW\" onClick=\"subViewINW()\" style=\"width:140px\">" + blblInNW + "</button>";

	defButName = "butViewINW";

	if( p_WithEdit ) {

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" id=\"butSubEdit\" onClick=\"subEdit()\" style=\"width:140px\">" + blblEdit + "</button>";

		defButName = "butSubEdit";
	}

	return defButName;
}

// ----------------------------------------------
// set up the button menu
function setUpFixLstMenu() {

	var defButName = "";

	tbl = document.getElementById( "tbPopButMenu" );

	while( tbl.rows.length > 0 ) {

		tbl.deleteRow( tbl.rows.length - 1 );
	}

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"reset\" onClick=\"rstMenu()\" style=\"width:140px\">" + blblCancel + "</button>";
	
	if( m_roleCanManFix ) {

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button class=\"red\" type=\"button\" onClick=\"chgStat()\" style=\"width:140px\">" + blblChgStat + "</button>";

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button class=\"red\" type=\"button\" onClick=\"delRep()\" style=\"width:140px\">" + blblDel + "</button>";
	}
	
	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" onClick=\"subView()\" style=\"width:140px\">" + blblView + "</button>";

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" id=\"butViewINW\" onClick=\"subViewINW()\" style=\"width:140px\">" + blblInNW + "</button>";
	
	defButName = "butViewINW";

	return defButName;
}

// ----------------------------------------------
// set up the button menu
function setUpIssLstMenu( p_WithEdit, p_WithAssign ) {

	var defButName = "";

	tbl = document.getElementById( "tbPopButMenu" );

	while( tbl.rows.length > 0 ) {

		tbl.deleteRow( tbl.rows.length - 1 );
	}

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button type=\"reset\" onClick=\"rstMenu()\" style=\"width:140px\">" + blblCancel + "</button>";

	if( m_roleCanManIss ) {

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button type=\"button\" onClick=\"chgStat()\" style=\"width:140px\">" + blblChgStat + "</button>";

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button type=\"button\" onClick=\"delRep()\" style=\"width:140px\">" + blblDel + "</button>";
	}

	if( m_roleCanAssgnIss && p_WithAssign ) {

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button type=\"button\" onClick=\"lstAssignTo( '' )\" style=\"width:140px\">" + blblFrwrd + "</button>";
	}

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button type=\"button\" onClick=\"subView()\" style=\"width:140px\">" + blblView + "</button>";

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button type=\"button\" id=\"butViewINW\" onClick=\"subViewINW()\" style=\"width:140px\">" + blblInNW + "</button>";

	defButName = "butViewINW";

	if( p_WithEdit ) {

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button type=\"button\" id=\"butSubEdit\" onClick=\"subEdit()\" style=\"width:140px\">" + blblEdit + "</button>";

		defButName = "butSubEdit";
	}

	return defButName;
}

// ----------------------------------------------
// set up the button menu
function setUpTRLstMenu( p_WithEdit, p_WithAssign ) {

	tbl = document.getElementById( "tbPopButMenu" );

	while( tbl.rows.length > 0 ) {

		tbl.deleteRow( tbl.rows.length - 1 );
	}

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"reset\" onClick=\"rstMenu()\" style=\"width:140px\">" + blblCancel + "</button>";
	
	if( m_roleCanManTR ) {

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button class=\"red\" type=\"button\" onClick=\"chgStat()\" style=\"width:140px\">" + blblChgStat + "</button>";

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button class=\"red\" type=\"button\" onClick=\"delRep()\" style=\"width:140px\">" + blblDel + "</button>";
	}
	
	if( m_roleCanAssgnTR && p_WithAssign ) {

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" onClick=\"lstAssignTo( '' )\" style=\"width:140px\">" + blblFrwrd + "</button>";
	}

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" onClick=\"subView()\" style=\"width:140px\">" + blblView + "</button>";

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" id=\"butViewINW\" onClick=\"subViewINW()\" style=\"width:140px\">" + blblInNW + "</button>";

	defButName = "butViewINW";

	if( p_WithEdit ) {

		rowNew = tbl.insertRow(0);
		cellNew = rowNew.insertCell(0);
		cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" id=\"butSubEdit\" onClick=\"subEdit()\" style=\"width:140px\">" + blblEdit + "</button>";

		defButName = "butSubEdit";
	}

	return defButName;
}

// ----------------------------------------------
// set up the button menu
function setUpShpLstMenu( ) {

	tbl = document.getElementById( "tbPopButMenu" );

	while( tbl.rows.length > 0 ) {

		tbl.deleteRow( tbl.rows.length - 1 );
	}

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"reset\" onClick=\"rstMenu()\" style=\"width:140px\">" + blblCancel + "</button>";

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" onClick=\"subView()\" style=\"width:140px\">" + blblView + "</button>";

	rowNew = tbl.insertRow(0);
	cellNew = rowNew.insertCell(0);
	cellNew.innerHTML = "<button class=\"yellow\" type=\"button\" id=\"butViewINW\" onClick=\"subViewINW()\" style=\"width:140px\">" + blblInNW + "</button>";

	defButName = "butViewINW";

	return defButName;
}

// ----------------------------------------------
// shipping
function shipSel() {

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "SetShipLst";

	theNode = document.getElementById( "idLstFormCurrStat" );
	theNode.value = "ps"; // required status

	theNode = document.getElementById( "idLstFormStat" );
	theNode.value = "rt"; //new status
	
	theNode = document.getElementById( "idShipLstAuthor" );
	theNode.value = m_User;

	showD( "dialShipDoc", 160 );
	setFocus( "butLnchShipDoc" );
}

// ----------------------------------------------
function showCRLstMenu( id, p_WithEdit, p_WithAssign ) {

//alert( "showCRLstMenu" );

	if( m_noMenue ) {

		m_noMenue = false;

		if( MS ) {

			ev = window.event;

			posX = ev.clientX;
			posY = ev.clientY;
	
			posX += document.body.scrollLeft;
			posY += document.body.scrollTop;
		}
		else {

			posX = m_lastClickX;
			posY = m_lastClickY;
		}

		defButName = setUpCRLstMenu( p_WithEdit, p_WithAssign );
		
		showDivAt( "dialButMenu", posX, posY, 100, 200 );

		setFocus( defButName );
	
		m_UID = id;
	}
	else {

		rstMenu();
		showCRLstMenu( id, p_WithEdit, p_WithAssign );
	}
}

// ----------------------------------------------
function showFixLstMenu( id ) {

	if( m_noMenue ) {

		m_noMenue = false;

		if( MS ) {

			ev = window.event;

			posX = ev.clientX;
			posY = ev.clientY;
	
			posX += document.body.scrollLeft;
			posY += document.body.scrollTop;
		}
		else {

			posX = m_lastClickX;
			posY = m_lastClickY;
		}

		defButName = setUpFixLstMenu();
		
		showDivAt( "dialButMenu", posX, posY, 100, 200 );

		setFocus( defButName );
	
		m_UID = id;
	}
	else {

		rstMenu();
		showFixLstMenu( id );
	}
}

// ----------------------------------------------
function showIssLstMenu( id, p_WithEdit, p_WithAssign ) {

	if( m_noMenue ) {

		m_noMenue = false;

		if( MS ) {

			ev = window.event;

			posX = ev.clientX;
			posY = ev.clientY;
	
			posX += document.body.scrollLeft;
			posY += document.body.scrollTop;
		}
		else {

			posX = m_lastClickX;
			posY = m_lastClickY;
		}

		defButName = setUpIssLstMenu( p_WithEdit, p_WithAssign );
		
		showDivAt( "dialButMenu", posX, posY, 100, 200 );

		setFocus( defButName );
	
		m_UID = id;
	}
	else {

		rstMenu();
		showIssLstMenu( id, p_WithEdit, p_WithAssign );
	}
}

// ----------------------------------------------
function showTRLstMenu( id, p_WithEdit, p_WithAssign ) {

//alert( "showTRLstMenu" );

	if( m_noMenue ) {

		m_noMenue = false;

		if( MS ) {

			ev = window.event;

/*
			posX = ev.pageX;
			posY = ev.pageY;
*/

			posX = ev.clientX;
			posY = ev.clientY;
	
			posX += document.body.scrollLeft;
			posY += document.body.scrollTop;
		}
		else {

			posX = m_lastClickX;
			posY = m_lastClickY;
		}

/*

	var posx = 0;
	var posy = 0;
	if (!e) var e = window.event;
	if (e.pageX || e.pageY)
	{
		posx = e.pageX;
		posy = e.pageY;
	}
*/

		defButName = setUpTRLstMenu( p_WithEdit, p_WithAssign );
		
		showDivAt( "dialButMenu", posX, posY, 100, 200 );

		setFocus( defButName );
	
		m_UID = id;
	}
	else {

		rstMenu();
		showTRLstMenu( id, p_WithEdit, p_WithAssign );
	}
}

// ----------------------------------------------
function showShpLstMenu( id ) {

	if( m_noMenue ) {

		m_UID = id;

		m_noMenue = false;

		if( MS ) {

			ev = window.event;

			posX = ev.clientX;
			posY = ev.clientY;
	
			posX += document.body.scrollLeft;
			posY += document.body.scrollTop;
		}
		else {

			posX = m_lastClickX;
			posY = m_lastClickY;
		}

		defButName = setUpShpLstMenu( );

		showDivAt( "dialButMenu", posX, posY, 100, 200 );

		setFocus( defButName );
	}
}

// ----------------------------------------------
function subEdit() {

	notifyProc();
	parent.location.href = m_editAppl + "?QNA=" + m_editQNA + "&UID=" + m_UID;
}

// ------------------------------------
// bulk submit (auto) PRs
function subSelPR() {

	m_Reload = true;

	theNode = document.getElementById( "idLstFormQNA" );
	theNode.value = "SubPRLst";

	theNode = document.getElementById( "idLstFormAuthor" );
	theNode.value = m_User;

	theNode = document.getElementById( "idLstFormCurrStat" );
	theNode.value = "dr";

	theNode = document.getElementById( "idLstFormStat" );
	theNode.value = "sb";

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theNode = document.getElementsByName( "LstForm" )[0];
	theNode.submit();
}

// ----------------------------------------------
function subView() {

	if( m_sameWinMode ) {

		notifyProc();
		//self.location.href = viewAppl + "?QNA=" + viewQNA + "&UID=" + m_UID

		// with List frame
		parent.location.href = viewAppl + "?QNA=" + viewQNA + "&UID=" + m_UID
	}
	else {

		window.open( viewAppl + "?QNA=" + viewQNA + "&UID=" + m_UID );
	}

	rstMenu();
}

// ----------------------------------------------
function subViewINW() {


	window.open( viewAppl + "?QNA=" + viewQNA + "&UID=" + m_UID );

	rstMenu();
}

//##################################################
// event handling routines
// ----------------------------------------------
function MSaClickWin() {
// superfluos? 2007-09-02
/*
	if( (window.event.srcElement.tagName != "TD") && (window.event.srcElement.tagName != "BUTTON") ) {

		theM = document.getElementById( "dialButMenu" );
		theM.style.visibility = "hidden";
		m_noMenue = true;
		m_UID = "";
	}
	*/

	ev = window.event;

	m_lastClickX = ev.pageX ? ev.pageX : ev.clientX;
	m_lastClickY = ev.pageY ? ev.pageY : ev.clientY;

m_lastClickX = ev.pageX;
m_lastClickY = ev.pageY;

m_lastClickX = ev.clientX;
m_lastClickY = ev.clientY;

m_lastClickX = ev.x;
m_lastClickY = ev.y;

	m_lastClickX = ev.clientX;
	m_lastClickY = ev.clientY;

	//if (isIE) {
		
		m_lastClickX += document.body.scrollLeft;
		m_lastClickY += document.body.scrollTop;
	//}

}

// ----------------------------------------------
function aClickWin( ev ) {

//window.status = ev.target.tagName;

	/*
	if( (ev.target.tagName != "TD") && (ev.target.tagName != "BUTTON") ) {

		theM = document.getElementById( "dialButMenu" );
		theM.style.visibility = "hidden";
		m_noMenue = true;
		m_UID = "";
	}
	*/

/*2007-09-02
	if( ev.target.tagName == "TD" ) {

		if( m_noMenue ) {

			theD = document.getElementById( "dialButMenu" );
			/*
			theD.style.left = ev.screenX;
			theD.style.top = ev.screenY;* /

			p = ev.pageY ? ev.pageY : ev.clientY;
			p = p - 10;
//alert(p);
			theD.style.top = p;

			p = ev.pageX ? ev.pageX : ev.clientX;
			p = p + 10;
			theD.style.left = p;
		}
	}
*/

	m_lastClickX = ev.pageX ? ev.pageX : ev.clientX;
	m_lastClickY = ev.pageY ? ev.pageY : ev.clientY;
}

// ----------------------------------------------
function mOv( id ) {

	if( m_noMenue ) {

		elem = document.getElementById( id );
		elem.setAttribute( "bgcolor", "silver", "false");
	}
}

// ----------------------------------------------
function mOut( id, clr ) {

	if( m_noMenue ) {

		elem = document.getElementById( id );
		elem.setAttribute( "bgcolor", clr, "false");
	}
}

// ----------------------------------------------
function notifyProc() {

	notifyEvent( "Proc", "" );
}
